Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# layout.h File Reference

A PangoLayout C++ wrapper interface. More...

`#include <inti/pango/attributes.h>`
`#include <inti/pango/context.h>`
`#include <inti/pango/item.h>`
`#include <inti/pango/tabs.h>`
`#include <pango/pango-layout.h>`
`#include <utility>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::Gdk
- namespace Inti::Pango

## Detailed Description

A PangoLayout C++ wrapper interface.

While complete access to the layout capabilities of Pango is provided using the detailed interfaces for itemization and shaping, using that functionality directly involves writing a fairly large amount of code. The objects and functions in this file provide a high-level driver for formatting entire paragraphs of text at once.
Main Page - Footer